Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLogin

java.lang.Object
bitel.billing.server.call.bean.Login
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLogin

All Implemented Interfaces:
  `Serializable`

public class DialUpLogin extends Login
Логин модуля DialUp

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `GLOBAL_AND_LOCAL_RA`
  `static final int`
  `ONLY_LOCAL_RA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialUpLogin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getAttributeSets()`
  `Map<String,List<String[]>>`
  `getAvpPairs()`
  `String`
  `getRealmGroup()`
  Возвращает группу реалмов
  `int`
  `getRpMode()`
  Возвращает режим радиус-аттрибутов
  `void`
  `setAttributeSets(Set<Integer> attributeSets)`
  `void`
  `setAvpPairs(Map<String,List<String[]>> avpPairs)`
  `void`
  `setRealmGroup(String realmGroup)`
  Устанавливает группу реалмов
  `void`
  `setRpMode(int rpMode)`
  Устанавливает режим радиус-аттрибутов

  ### Methods inherited from class bitel.billing.server.call.bean.Login

  `getComment, getContractId, getDate1, getDate2, getId, getLogin, getMaxSession, getObjectId, getPswd, getStatus, setComment, setContractId, setDate1, setDate2, setId, setLogin, setMaxSession, setObjectId, setPswd, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GLOBAL_AND_LOCAL_RA

    public static final int GLOBAL_AND_LOCAL_RA
    See Also:
      - Constant Field Values

  - ### ONLY_LOCAL_RA

    public static final int ONLY_LOCAL_RA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DialUpLogin

    public DialUpLogin()

- ## Method Details

  - ### getAvpPairs

    public Map<String,List<String[]>> getAvpPairs()

  - ### setAvpPairs

    public void setAvpPairs(Map<String,List<String[]>> avpPairs)

  - ### getAttributeSets

    public Set<Integer> getAttributeSets()

  - ### setAttributeSets

    public void setAttributeSets(Set<Integer> attributeSets)

  - ### getRpMode

    public int getRpMode()
    Возвращает режим радиус-аттрибутов
    Returns:
      0, если глобальные и локальные, или 1, если только локальные

  - ### setRpMode

    public void setRpMode(int rpMode)
    Устанавливает режим радиус-аттрибутов
    Parameters:
      `rpMode` - 0, если глобальные и локальные, или 1, если только локальные

  - ### getRealmGroup

    public String getRealmGroup()
    Возвращает группу реалмов
    Returns:
      группа реалмов (строка)

  - ### setRealmGroup

    public void setRealmGroup(String realmGroup)
    Устанавливает группу реалмов
    Parameters:
      `realmGroup` - новая группа реалмов